Description

I'm currently writing a generic Comments ViewHelper that'll have the following signature / functionality:

/**
 * Returns comments for an entity as collection in order to e.g. <f:for each=""> it
 * 
 * = Examples =
 *
 * 
 * <f:for each="{c:comments(object: affectedObject)}" as="comment">
 *     <cite>{comment.author.name</cite>
 *     <blockquote>{comment.message}</blockquote>
 * </f:for>
 * 
 */

(I personally will use that as a base for converting it to JSON; but the sampled use case is very... useful, I think).

I'll keep it locally and make a Gerrit once the base code is in the master branch.

Associated revisions
Revision 49fe253b - 2012-05-04 09:52 - Adrian Föder

[FEATURE] Generic "Comments" ViewHelper

This provides a ViewHelper that returns the Comments Collection
attached to a given object in order to e.g. <for each=""> though
it.

Change-Id: I4c6528d3cc060c6e21543adaeafc9535ad25fb2c
Resolves: #34630

History
#1 - 2012-03-08 13:10 - Adrian Föder
- Status changed from New to Accepted

#2 - 2012-03-14 09:18 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9636
#3 - 2012-03-14 13:42 - Adrian Föder
- Status changed from Accepted to Under Review
- % Done changed from 0 to 60

#4 - 2012-05-04 09:53 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9636

#5 - 2012-07-31 10:30 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 60 to 100

Applied in changeset commit:49fe253b711c60b75bf7ce908517d77950cb00ce.
